Package com.evopdf

# Enum PdfCompressionLevel

java.lang.Object
java.lang.Enum<PdfCompressionLevel>
com.evopdf.PdfCompressionLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<PdfCompressionLevel>`, `java.lang.constant.Constable`

public enum PdfCompressionLevel extends Enum<PdfCompressionLevel>
This enumeration contains the possible color spaces of a PDF document

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Best`
  Produces the smallest PDF document but it takes longer to compress the streams.
  `NoCompression`
  The PDF document is not compressed.
  `Normal`
  Normal compression level.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static PdfCompressionLevel`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PdfCompressionLevel[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NoCompression

    public static final PdfCompressionLevel NoCompression
    The PDF document is not compressed.

  - ### Normal

    public static final PdfCompressionLevel Normal
    Normal compression level. This is the default compression level of the PDF document.

  - ### Best

    public static final PdfCompressionLevel Best
    Produces the smallest PDF document but it takes longer to compress the streams.

- ## Method Details

  - ### values

    public static PdfCompressionLevel[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PdfCompressionLevel valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()